<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/login"
        android:clickable="true"
        android:focusable="true"
        android:gravity="center">


        <ImageView
            android:id="@+id/logo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:contentDescription="@string/icon"
            android:src="@drawable/sico" />

        <TextView
            android:id="@+id/texLogin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/logo"
            android:layout_centerInParent="true"
            android:layout_margin="32dp"
            android:text="@string/login"
            android:textSize="32sp"
            android:textStyle="bold" />


        <FrameLayout
            android:id="@+id/layoutLogin"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/texLogin">


            <LinearLayout

                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="24dp"
                android:background="@drawable/login_background"
                android:orientation="vertical">


                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="20dp"
                    android:layout_marginStart="20dp"
                    android:gravity="center">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/etEmail"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center|start"
                        android:background="@null"
                        android:gravity="center|start"
                        android:hint="@string/email"
                        android:imeOptions="actionNext"
                        android:inputType="textEmailAddress"
                        android:padding="16dp"
                        android:textAlignment="viewStart"
                        android:textSize="16sp" />

                </com.google.android.material.textfield.TextInputLayout>

                <View

                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/gray" />


                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="20dp"
                    android:layout_marginStart="20dp"
                    android:gravity="center">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/etPassWord"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center|start"
                        android:background="@null"
                        android:gravity="center|start"
                        android:hint="@string/passWord"
                        android:imeOptions="actionDone"
                        android:inputType="textPassword"
                        android:padding="16dp"
                        android:textAlignment="viewStart"
                        android:textSize="16sp" />

                </com.google.android.material.textfield.TextInputLayout>


            </LinearLayout>

            <ImageView
                android:id="@+id/btnLogin"
                android:layout_width="55dp"
                android:layout_height="55dp"
                android:layout_gravity="center|end"
                android:background="@drawable/circular"
                android:contentDescription="@string/icon"
                android:padding="12dp"
                android:tint="@color/white"
                app:srcCompat="@drawable/ic_arrow_forward_black_24dp" />
        </FrameLayout>

        <TextView
            android:id="@+id/tbChangeLang"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/layoutLogin"
            android:layout_centerInParent="true"
            android:layout_marginTop="16dp"
            android:drawableStart="@drawable/ic_language_black_24dp"
            android:drawablePadding="8dp"
            android:padding="16dp"
            android:text="@string/change_language"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="RelativeOverlap" />


        <TextView
            android:layout_alignParentLeft="true"
            android:id="@+id/tvRegister"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/layoutLogin"
            android:layout_marginTop="128dp"
            android:background="@drawable/login_background"
            android:padding="16dp"
            android:text="@string/register"
            android:textColor="@color/orange"
            android:textSize="20sp"
            android:textStyle="bold"
            tools:ignore="RtlHardcoded" />


    </RelativeLayout>
</layout>